\name{recordSticky}
\alias{recordSticky}
\title{This function records proteins known to be sticky in the simulation of AP-MS.}
\description{
  In the actual AP-MS technology, sticky proteins are identified and
  then removed from the process so sticky proteins do not influence
  the outcome of the protein-protein co-membership matrix nor the
  estimate from complex composition algorithms such as apComplex.
}
\usage{
recordSticky(simMat, vSticky, vBaits)
}
\arguments{
  \item{simMat}{An adjcency matrix: the rows are indexed by bait
    proteins and the colunms are indexed by prey proteins}
  \item{vSticky}{The pre-determined vector of sticky proteins}
  \item{vBaits}{A character vector of the proteins used as baits}
}
\details{
  The recordSticky function will return both the sticky proteins
  that are put into the function at the beginning as well as proteins
  which pull down a large number of prey proteins.
}
\value{
  A character vector:
  
  The return value is a vector of all the proteins that are considered
  to be sticky in the simulation of AP-MS
}
\author{Tony Chiang}
\examples{
library(simulatorAPMS)
data(fullSimEX)
data(vBaitsEX)
recordSticky(fullSimEX, c(vBaitsEX[2], vBaitsEX[3]))
}

\keyword{datagen}
